#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using ii = pair<ll,ll>;
using vi = vector<int>;
using vii = vector<ii>;
using vvi = vector<vi>;
#define ALL(x) (x).begin(),(x).end()
#define ff first
#define ss second
#define D(a) cerr << ">> " << #a << " = >" << a << "<" << endl
#define PB push_back
#define F(i,a,b) for ( int i = int(a); i < int(b); ++i )
#define FD(i,a,b) for ( int i = int(a); i >= int(b); --i )
#define R1(a) scanf("%d",&a)
#define R2(a,b) scanf("%d%d",&a,&b)
#define R3(a,b,c) scanf("%d%d%d",&a,&b,&c)
#define DR1(a) int a; scanf("%d",&a)
#define DR2(a,b) int a,b; scanf("%d%d",&a,&b)
#define DR3(a,b,c) int a,b,c; scanf("%d%d%d",&a,&b,&c)

const int INF = 1e9 + 7;
constexpr const double PI = acos(-1);
const double EPS = 1e-9;

// reading input
bool R() { return true; }
template <typename T, typename... Args>
bool R(T & x, Args & ... args) {
    cin >> x;
    return cin && R(args...);
}
template <typename T1, typename T2>
istream & operator>>(istream & is, pair<T1,T2> & p) {
    is >> p.first >> p.second;
    return is;
}
template <typename T>
istream & operator>>(istream & is, vector<T> & v) {
    for (T & x : v)
        is >> x;
    return is;
}

// printing output
template <typename Container>
std::ostream & print(std::ostream & os, const Container & container, const string & sep = " ", const string & ending = "") {
    auto it = begin(container);
    if (it != end(container)) {
        os << *it;
        while (++it != end(container))
            os << sep << *it;
    }
      
    for (auto it = begin(container); it != end(container); ++it) {
        if (it != begin(container))
            os << sep;
        os << *it;
    }
    return os << ending;
}
template <typename T1, typename T2>
ostream & operator<<(ostream & os, const pair<T1,T2> & p) {
    return os << "{" << p.ff << " " << p.ss << "}";
}
template <typename Type>
std::ostream & operator<<(std::ostream & os, const vector<Type> & container) {
    return print(os, container);
}
template <typename Type>
std::ostream & operator<<(std::ostream & os, const set<Type> & container) {
    return print(os, container);
}

vii getSquarePoints(ii A, ii B) {
    ii n { B.ss - A.ss, A.ff - B.ff };
    if (n.ff < 0)
        n = { -n.ff, -n.ss };
    return { A, B, { A.ff + n.ff, A.ss + n.ss }, { B.ff + n.ff, B.ss + n.ss } };
}

ll distsq(ii p, ii q) {
    return (p.ff - q.ff) * (p.ff - q.ff) + (p.ss - q.ss) * (p.ss - q.ss);
}

int main () {
    int n;
    while (R(n)) {
        ll area = 0;
        n *= 4;
        set<ii> points;
        F(i,0,n) {
            ii p;
            assert(R(p));
            points.insert(p);
        }
        while (points.size()) {
            ii A = *points.begin();
            ii B = {INF, INF};
            points.erase(A);
            // find one neighbour
            for (ii p : points) {
                auto pts = getSquarePoints(A, p);
                if (count_if(begin(pts), end(pts), [&points] (ii p) { return points.count(p); }) == 3  && distsq(A, B) > distsq(A, p)) {
                    B = p;
                }
            }
            assert(B != ii(INF, INF));
            area += distsq(A, B);
            for (auto point : getSquarePoints(A, B)) {
                points.erase(point);
            }
        }
        cout << area << endl;
    }
    return 0;
}
